package com.ym.mec.biz.dal.vo;

import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;
import java.util.Date;
import java.util.List;

/**
 * @author hgw
 * Created by 2022-02-25
 */
public class ImLiveBroadcastRoomDetailVo implements Serializable {

    @ApiModelProperty(value = "房间编号")
    private String roomUid;

    @ApiModelProperty(value = "房间标题/最多12个字")
    private String roomTitle;

    @ApiModelProperty(value = "主讲人名称")
    private String speakerName;

    @ApiModelProperty(value = "直播内容/最多200个字")
    private String liveRemark;

    @ApiModelProperty(value = "参与人员数量")
    private Integer totalLookNum;

    @ApiModelProperty(value = "点赞数")
    private Integer totalLikeNum;

    @ApiModelProperty(value = "直播时长")
    private Integer totalLiveTime;

    @ApiModelProperty(value = "直播开始时间")
    private Date liveStartTime;

    @ApiModelProperty(value = "直播结束时间")
    private Date liveEndTime;

    @ApiModelProperty(value = "直播状态 0未开始 1开始 2已结束")
    private Integer liveState;

    private List<ImLiveRoomVideoVo> videoList;

    public Date getLiveStartTime() {
        return liveStartTime;
    }

    public void setLiveStartTime(Date liveStartTime) {
        this.liveStartTime = liveStartTime;
    }

    public Date getLiveEndTime() {
        return liveEndTime;
    }

    public void setLiveEndTime(Date liveEndTime) {
        this.liveEndTime = liveEndTime;
    }

    public Integer getLiveState() {
        return liveState;
    }

    public void setLiveState(Integer liveState) {
        this.liveState = liveState;
    }

    public String getRoomUid() {
        return roomUid;
    }

    public void setRoomUid(String roomUid) {
        this.roomUid = roomUid;
    }

    public String getRoomTitle() {
        return roomTitle;
    }

    public void setRoomTitle(String roomTitle) {
        this.roomTitle = roomTitle;
    }

    public String getSpeakerName() {
        return speakerName;
    }

    public void setSpeakerName(String speakerName) {
        this.speakerName = speakerName;
    }

    public String getLiveRemark() {
        return liveRemark;
    }

    public void setLiveRemark(String liveRemark) {
        this.liveRemark = liveRemark;
    }

    public Integer getTotalLookNum() {
        return totalLookNum;
    }

    public void setTotalLookNum(Integer totalLookNum) {
        this.totalLookNum = totalLookNum;
    }

    public Integer getTotalLikeNum() {
        return totalLikeNum;
    }

    public void setTotalLikeNum(Integer totalLikeNum) {
        this.totalLikeNum = totalLikeNum;
    }

    public Integer getTotalLiveTime() {
        return totalLiveTime;
    }

    public void setTotalLiveTime(Integer totalLiveTime) {
        this.totalLiveTime = totalLiveTime;
    }

    public List<ImLiveRoomVideoVo> getVideoList() {
        return videoList;
    }

    public void setVideoList(List<ImLiveRoomVideoVo> videoList) {
        this.videoList = videoList;
    }
}
